/***********************************************************************
 *
 * TITLE:
 *	selectfile.h
 *
 * AUTHOR:
 *	Kevin J. Miller
 *
 * DESCRIPTION:
 *	<description>
 *
 *				CHANGE HISTORY
 *
 * $Log: selectfile.h,v $
 * Revision 1.4  1996/12/19 22:39:22  kevin
 * fixed compiler warnings
 *
 * Revision 1.3  1995/03/14 23:51:40  jeffb
 * add prototype for new function that is the same as FileSelect excepts
 * allows caller to specify the default filename
 *
 * Revision 1.2  1994/11/22  17:49:54  jeffb
 * add a new function to change the title of the file selection box
 *
 * Revision 1.1  1994/01/17  23:02:20  clm
 * Initial revision
 *
 ***********************************************************************
 *
 * WARNINGS:
 *
 * EXTERNAL CALLABLE COMPONENTS (PUBLIC):
 *
 * GLOBALS:
 *
 * WAIVERS:
 *
 * NOTES:
 *
 * MANPAGE:
 *
 ***********************************************************************/

#ifndef selectfile_h
#define selectfile_h

#ifndef lint
static const char rcsid_selectfile[] = 
    "$Id: selectfile.h,v 1.4 1996/12/19 22:39:22 kevin OEL $";
#endif

/*
 * global function prototypes
 */
extern void InitFileSelect(Widget, char *);
extern int FileSelect(char *, char *, int, char *);
extern int FileSelectDefault(char *, char *, int, char *);
extern void FileSelectTitle(char *);

#endif
